﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WeaponController : MonoBehaviour
{

    public GameObject arrow;
    public float moveSpeed = 10;
    public float shootDelay = 0.5f; //in milliseconds
    public float damageMultipler = 1;

    private GameObject bow;
    private GameObject arrowHolder;
    private float shootTimer;
    private bool canShoot = true;

    private GameObject arrows;

    // Start is called before the first frame update
    void Start()
    {
        bow = transform.Find("Bow").gameObject;
        arrowHolder = bow.transform.Find("ArrowHolder").gameObject;
        arrows = GameObject.Find("Arrows");
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public void ShootArrow()
    {
        if (canShoot)
        {
            GameObject obj = Instantiate(arrow, arrows.transform);

            obj.transform.position = arrowHolder.transform.position;
            obj.transform.rotation = transform.rotation;

            Vector3 delta = obj.transform.position -transform.position;
            delta.Normalize();

            obj.GetComponent<Rigidbody2D>().velocity = delta * moveSpeed;

            bow.transform.Find("Bow Sprite").GetComponent<Animator>().Play("fire");

            canShoot = false;
            StartCoroutine("ShotTimer");
        }
    }

    IEnumerator ShotTimer()
    {
        while (canShoot == false)
        {
            shootTimer += Time.deltaTime;
            if (shootTimer > shootDelay)
            {
                shootTimer = 0.0f;
                canShoot = true;
                break;
            }
            yield return null;
        }
    }
}
